> ## Documentation Index
> Fetch the complete documentation index at: https://docs.finhub.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# Get beneficiaries for wallet

> Retrieve allowed operations for an account, optionally including beneficiaries and consents.

<Note>
  This endpoint requires `X-Forwarded-From` and a device header. The backend accepts any of:
  `deviceId`, `X-Device-Id`, `device-id`.
</Note>

## Sample cURL

```bash theme={null}
curl --location 'https://sandbox.finhub.cloud/api/v2.1/fintrans/28e09085-2167-4284-ad1a-239122af836f/allowed-operations?includeBeneficiaries=true&includeConsents=true' \
  --header 'Authorization: Bearer <ACCESS_TOKEN>' \
  --header 'X-Tenant-ID: <TENANT_ID>' \
  --header 'Content-Type: application/json' \
  --header 'Accept: application/json' \
  --header 'User-Agent: <USER_AGENT>' \
  --header 'X-Forwarded-From: <FORWARDED_FROM>' \
  --header 'X-Forwarded-For: <FORWARDED_FOR>' \
  --header 'platform: Web' \
  --header 'deviceId: <DEVICE_ID>' \
```

## Missing Headers Error Example

```json theme={null}
{
  "code": 500,
  "data": {
    "deviceId_accepted": [
      "deviceId",
      "X-Device-Id",
      "device-id"
    ],
    "missingHeaders": [
      "X-Forwarded-From",
      "deviceId"
    ]
  },
  "message": "Missing required header(s)"
}
```

## Response Example

```json theme={null}
{
  "code": 200,
  "data": {
    "sessionId": "e76cfef8-1897-45a3-b9c1-3e90ffb3fae0",
    "tenantId": "97e7ff29-15f3-49ef-9681-3bbfcce4f6cd",
    "time": "2026-04-01T13:10:16.455800933",
    "accounts": [
      {
        "id": "28e09085-2167-4284-ad1a-239122af836f",
        "type": "CONSUMER_WALLET",
        "iban": "LT803320011000055865",
        "currency": "EUR",
        "balance": 0,
        "flags": {},
        "ownerId": "7d1d49db-bf39-4123-94d8-c03a1e6b4d4a",
        "assetId": "aeee88d3-bc7b-4f47-8850-8183bd9eb9b0",
        "assetSubUnitId": "dd35508b-7529-49b8-ae56-fafd523f953f"
      }
    ],
    "beneficiaries": [
      {
        "id": "03337653-7f7e-49af-a9fa-9ea444132510",
        "assetId": "03337653-7f7e-49af-a9fa-9ea444132510",
        "assetSubUnitId": "dd35508b-7529-49b8-ae56-fafd523f953f",
        "kind": "EXTERNAL",
        "walletId": "28e09085-2167-4284-ad1a-239122af836f",
        "currencyHints": [
          "EUR"
        ],
        "allowedOperationTypes": [],
        "beneficiaryId": "ba77dbdb-a1f4-48d0-bb50-a44123ffc9b2",
        "iban": "LT203320011000000006",
        "currency": "EUR",
        "partyType": "INDIVIDUAL_CUSTOMER",
        "status": "",
        "name": "",
        "assetSubUnitName": "European Monetary Unit"
      }
    ],
    "operations": [
      {
        "fromAccountId": "28e09085-2167-4284-ad1a-239122af836f",
        "fromAssetId": "aeee88d3-bc7b-4f47-8850-8183bd9eb9b0",
        "fromAssetSubUnitId": "dd35508b-7529-49b8-ae56-fafd523f953f",
        "toRefId": "03337653-7f7e-49af-a9fa-9ea444132510",
        "toAssetSubUnitId": "dd35508b-7529-49b8-ae56-fafd523f953f",
        "beneficiaryId": "ba77dbdb-a1f4-48d0-bb50-a44123ffc9b2",
        "opType": "PURCHASE",
        "currencies": [
          "EUR"
        ],
        "perTxnLimit": 50000,
        "requiresConsent": true
      }
    ],
    "limits": {
      "perTxn": {
        "EUR": 50000
      },
      "daily": {
        "EUR": 200000
      },
      "monthly": {
        "EUR": 1000000
      }
    },
    "fees": {
      "model": "SEPARATE_FEE_TRANSFER",
      "rules": {},
      "flags": {
        "feeChannel": "SEPARATE"
      }
    },
    "consentModel": {
      "requireConsent": true,
      "expiryMinutes": 30,
      "scope": "PAYMENT"
    },
    "snapshotId": "e76cfef8-1897-45a3-b9c1-3e90ffb3fae0",
    "hasBeneficiaries": true,
    "beneficiaryCount": 8
  },
  "message": "Success"
}
```


## OpenAPI

````yaml openapi.yaml GET /api/v2.1/fintrans/{accountId}/allowed-operations
openapi: 3.1.0
info:
  title: Business BFF API
  version: 1.0.0
  description: Backend for Frontend - Business Panels Orchestration Layer
servers:
  - url: https://sandbox.finhub.cloud
    description: Sandbox Environment
security: []
tags:
  - name: AML
    description: Anti-Money Laundering checks and transaction monitoring
  - name: Admin - Consent Management
    description: Operations for managing consent templates and definitions
  - name: B2B Customer - Organization
    description: B2B organization registration and management
  - name: B2C Customer - Individual
    description: Individual customer registration and lifecycle management
  - name: BFF Admin - Tenant Initialization
    description: Lazy tenant initialization for fast startup
  - name: Catalog Hierarchy
    description: Hierarchical catalog management APIs
  - name: Catalog-Process Mapping
    description: APIs for catalog-process relationship management
  - name: Consent
    description: Payment consent creation and approval
  - name: Draft Management
  - name: External Events
    description: Kafka-to-HTTP bridge event ingestion and query
  - name: FinCard Virtual - Webhooks
    description: FinCard Virtual Card Webhook receiver
  - name: FinCard Virtual Account
    description: FinCard Virtual Card Account API proxy
  - name: FinCard Virtual Card Holder
    description: FinCard Virtual Card Holder API proxy
  - name: FinCard Virtual Cards
    description: FinCard Virtual Card API proxy
  - name: FinCard Virtual Common
    description: FinCard Virtual Card Common API proxy
  - name: FinCard Virtual Wallet
    description: FinCard Virtual Card Wallet API v2 proxy
  - name: FinTrans - Operations
    description: Financial transaction operations
  - name: Internal Webhooks
    description: Internal service-to-service webhook trigger (HMAC-secured)
  - name: MFE Preload
    description: MFE preload endpoints for SSR optimization
  - name: MFE Registry
    description: MFE Registry management endpoints
  - name: Payment Consent Management
    description: Operations for managing payment consents and validation
  - name: Person
    description: Person details for process context
  - name: Products
    description: Product Catalog Management API
  - name: Reference Data
    description: Shared reference data (countries, etc.)
  - name: Tenant Lifecycle
    description: Tenant mode transitions and lifecycle management
  - name: Tenant Registration
    description: Self-registration and tenant onboarding
  - name: Transfers
    description: Transfer prepare/execute aliases for muse-proxy compatibility
  - name: Verification
    description: Customer verification (KYC/KYB/AML) management
  - name: Wallet
    description: Wallet operations and balance management
  - name: Webhooks
    description: Webhook subscription and delivery management
paths:
  /api/v2.1/fintrans/{accountId}/allowed-operations:
    get:
      tags:
        - FinTrans - Operations
      summary: Get allowed operations
      description: Get allowed operations for account with enhanced information
      parameters:
        - name: accountId
          in: path
          required: true
          schema:
            type: string
        - name: includeBeneficiaries
          in: query
          schema:
            type: boolean
            default: true
        - name: includeConsents
          in: query
          schema:
            type: boolean
            default: true
        - name: X-Tenant-ID
          in: header
          required: true
          schema:
            type: string
        - name: X-Forwarded-For
          in: header
          required: true
          description: Client IP address
          schema:
            type: string
            example: 127.0.0.1
        - name: X-Forwarded-From
          in: header
          required: true
          description: Client source identifier
          schema:
            type: string
            example: client-app
        - name: platform
          in: header
          required: true
          description: Client platform
          schema:
            type: string
            example: Web
        - name: deviceId
          in: header
          required: true
          description: Device identifier
          schema:
            type: string
            example: device-demo-001
      responses:
        '200':
          description: OK

````